Subject: Re: [PATCH net-next v2 2/3] mpls: move mpls_hdr to a common location

From: Jiri Benc <[email-masked]>
Date: Fri, 30 Sep 2016 19:51:59 +0200

On Fri, 30 Sep 2016 10:43:42 -0700, pravin shelar wrote:
> There is already struct mpls_label defined in uapi mpls header file.
> Is there reason for not using it here?

I think this should be unified as well. But it's for a different patch
not related to this patchset. This patch just moves the existing
mpls_hdr and mpls_shim_hdr definition to a new place.

In general, I think the mpls code deserves a round of overall cleanups.
It should not block this patchset, though. It can be considered as a
step towards that goal.

 Jiri